org.eclipse.microprofile.graphql.tck.apps.superhero.model

## Class Team

- java.lang.Object
- - org.eclipse.microprofile.graphql.tck.apps.superhero.model.Team

    public class Team
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Team()`
`Team(String name, List<SuperHero> members)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Team` `addMembers(SuperHero... heroes)`
`OffsetTime` `getDailyStandupMeeting()`
`List<SuperHero>` `getMembers()`
`@NonNull String` `getName()`
`Team` `getRivalTeam()`
`Team` `removeMembers(SuperHero... heroes)`
`void` `setDailyStandupMeeting(OffsetTime dailyStandupMeeting)`
`void` `setMembers(List<SuperHero> members)`
`void` `setName(String name)`
`void` `setRivalTeam(Team rivalTeam)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Team

    public Team()

#### Team

    public Team(String name,
                List<SuperHero> members)

### Method Detail

#### getName

    @NonNull
    public @NonNull String getName()

#### getMembers

    public List<SuperHero> getMembers()

#### setName

    public void setName(String name)

#### setMembers

    public void setMembers(List<SuperHero> members)

#### addMembers

    public Team addMembers(SuperHero... heroes)

#### removeMembers

    public Team removeMembers(SuperHero... heroes)

#### getRivalTeam

    public Team getRivalTeam()

#### setRivalTeam

    public void setRivalTeam(Team rivalTeam)

#### getDailyStandupMeeting

    public OffsetTime getDailyStandupMeeting()

#### setDailyStandupMeeting

    public void setDailyStandupMeeting(OffsetTime dailyStandupMeeting)

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`